Basic joins, Compass error

Hi
I got this error in Compass and I cant figure out where the error is:

I have the same problem, not sure but reckon that the problem came from the Mongo version, at the video lecture they use MongoDB 3.6 but I have installed MongoDB 4.0.8

Anyone has any idea how to run this with MongoDB 4.0.8 ? ?

I make it work, still not sure what was the mistake.


I found useful the information posted at this other comment -> https://www.mongodb.com/community/forums/t/ticket-get-comments-solved/3380/6